<?php
// Dilmot init
// This theme requires Dilmot plugin being active
if (class_exists('Dilmot_Plugin')) {
	$aPlugin = new Dilmot_Plugin();
	$streams_category = $aPlugin->getOption('StreamsCategory');
	$account = $aPlugin->getOption('DilmotAccount');
	$account_url = $aPlugin->getAccountUrl($account);

} else {
	if (is_admin()) {
		echo '<div class="error"><p>' . __('++You should install and activate Dilmot plugin in order to use this template.','dilmot') . '</p></div>';	
	}
  
}



/* Sidebars */
register_sidebar(array(
  'name' => __('Stream sidebar','dilmot'),
  'id' => 'sidebar-stream',
  'description' => __('This widgets appear on the top of the stream pages.','dilmot'),
  'before_title' => '<h2 class="heading">',
  'after_title' => '</h2>'
));

register_sidebar(array(
  'name' => __('Home page sidebar','dilmot'),
  'id' => 'sidebar-home',
  'description' => __('This widgets appear on the home page.','dilmot'),
  'before_title' => '<h2 class="heading">',
  'after_title' => '</h2>'
));

function dilmot_format_date($timestr, $format, $in_UTC = false) {
	if (empty($timestr)) {
		return $timestr;
	}
	$timestamp = strtotime($timestr);
	$timestamp = ($in_UTC) ? $timestamp + get_option('gmt_offset') * 3600: $timestamp;
	return date_i18n($format, $timestamp);
}

function get_short_text_words($text, $limit = 50) {
	$text = strip_tags($text);
	$excerpt = explode(' ', $text, $limit);
	if (count($excerpt) >= $limit) {
		array_pop($excerpt);
		$excerpt = implode(" ",$excerpt) . "&#8230;";
	} else {
		$excerpt = implode(" ",$excerpt);
	}	
	$excerpt = preg_replace('`\[[^\]]*\]`','',$excerpt);
	return $excerpt;
}

// FUNCTIONS NEEDED FOR WIDGET

// function to offload static files of widget to amazon s3

function get_bloginfo_with_cdn($parameter) {

	// variables set for fnac, a switch will be needed if there are new themes 
	//$url_cdn = "http://dsmicts34bcuu.cloudfront.net"; //cdn distribution only for fnac
	//$url_cdn = "http://d2c044i571ml73.cloudfront.net"; //cdn distribution for all themes need to be updated manually
	$url_cdn = "https://s3-eu-west-1.amazonaws.com/dilmot-wordpress-themes";
	// FOR DEV!! $url_cdn = "http://dev-forum.fnac.es/";
	
	$child_theme = strtolower ( function_exists('wp_get_theme') ? wp_get_theme() : get_current_theme() );
	
		if ($url_cdn == "") {
	
			return get_bloginfo($parameter);
	
	
		} else {

			switch ($parameter) {
				case 'stylesheet_directory':
	
				return $url_cdn."/wp-content/themes/".$child_theme;
				break;
	
				case 'template_directory':
	
				return $url_cdn."/wp-content/themes/dilmotapp";
				break;
	
	
	
			}
	
		}

}

//filtro para saber que un post es de la categoria noticias
add_filter('body_class', 'add_catname_body');
function add_catname_body($body_class) {
	if(in_category(9)){ $body_class[] = 'category-news'; }
	$body_class[] = 'logo-pos-'.get_option('theme_logo_pos'); 
	return $body_class;
}

function get_current_wp_date($vars){
	$addgmt = strtotime("+".get_option('gmt_offset')." hours");
	return date($vars,$addgmt);
	
}

/**
*
* Get the image to use on the widget for a given post.
* @return an array with the URL on [0] and the string to use
* defining the orientation on [1].
*
**/
function get_widget_image_and_orientation($postid) {
	$retval = array();
	$widget_img_id = get_post_meta($postid, 'image_thumb', true);
	if (!empty($widget_img_id) && is_numeric($widget_img_id)) {
		$url_and_params = wp_get_attachment_image_src($widget_img_id, 'full', true);
		$retval = array(0 => $url_and_params[0], 1 => get_image_orientation($url_and_params[1], $url_and_params[2]));
	} else {
		$retval = get_author_image_and_orientation($postid,$size='thumbnail');
	}
	return $retval;
}



/// OLD FUNCTIONS



add_theme_support( 'menus' );

if ( function_exists( 'register_nav_menus' ) ) {
	register_nav_menus(
		array(
		  'bottom' => 'Footer menu'
		)
	);
}

add_theme_support('post-thumbnails');
set_post_thumbnail_size( 220, 220, true );
//add_image_size('small-thumb', 135, 75, true);

/* Sidebars */
register_sidebar(array(
  'name' => __('Interview sidebar','dilmot'),
  'id' => 'sidebar-interview',
  'description' => __('This widgets appear on the top of the interview pages.','dilmot'),
  'before_title' => '<h2 class="heading">',
  'after_title' => '</h2>'
));

register_sidebar(array(
  'name' => __('Home page sidebar','dilmot'),
  'id' => 'sidebar-home',
  'description' => __('This widgets appear on the home page.','dilmot'),
  'before_title' => '<h2 class="heading">',
  'after_title' => '</h2>'
));

register_sidebar(array(
  'name' => __('Header sidebar','dilmot'),
  'id' => 'sidebar-header',
  'description' => __('This widgets appear on the right of the header.','dilmot'),
  'before_title' => '<h2 class="heading">',
  'after_title' => '</h2>'
));



/* Logos dilmot wp-admin */
add_action('admin_head', 'my_custom_logo');
function my_custom_logo() {
   echo '
      <style type="text/css">
         #header-logo { background-image: url('.get_bloginfo('template_directory').'/images/logo-backend.png) !important; }
      </style>
   ';
}

add_action("login_head", "my_login_head");
function my_login_head() {
	echo "
	<style>
	body.login #login h1 a {
		background: url('".get_bloginfo('template_url')."/images/logo-login.png') no-repeat scroll center top transparent;
		height: 55px;
		width: 325px;
	}
	</style>
	";
}


add_filter('excerpt_length', 'my_excerpt_length');
function my_excerpt_length($length) {
return 30; }


// ESTA FUNCION ROMPE LA V2 DE DILMOT
//guardar automaticamente los posts con slug /nombre-autor-ano-mes-dia
// add_filter('name_save_pre', 'save_name');
// function save_name($my_post_name) {
// 	$cat = get_the_category();
// 	if($cat[0]->cat_ID==get_option('cat_interviews') && parseInt(substr($my_post_name,-1))==0){
// 		$my_post_name = get_the_title()."-".date('d-m-Y',strtotime(get_post_meta(get_the_ID(), 'interview_datetime', true)));
// 	}
// 	return $my_post_name;
// }

function parseInt($string) {
	if(preg_match('/(\d+)/', $string, $array)) {
		return $array[1];
	} else {
		return 0;
	}
}


if(get_option('test_environment')==1){
//proteger la web para usuarios no logueados (excepto pagina de login)
function private_wp() {
  if (!is_user_logged_in()) {
  	if(!is_page('login')){
  		exit();
  	}
  }
}
add_action('get_header', 'private_wp');
}


//saber si la entrevista es futura o no
function is_future_interview(){
	global $aPlugin;
	$starts_at = $aPlugin->get_single_custom_value('starts_at');
  	$end = dilmot_format_date($starts_at, 'l d F Y, H:i\h');
  	
  	//anadimos las horas UTC de la configuracion de wordpress a la hora actual
	$addgmt = strtotime("+".get_option('gmt_offset')." hours");
	$now = date("Y/m/d H:i:s",$addgmt);
	//print $now." ".$end;
	//si la hora actual es inferior a la de la interview es futura
	if( $now < $end ) { return true; } else { return false; }
}


//saber si la entrevista es en directo
function is_live_interview(){
  	$start = get_post_meta(get_the_ID(), 'interview_datetime', true);
  	$end = get_post_meta(get_the_ID(), 'interview_datetime_end', true);
  	
  	//anadimos las horas UTC de la configuracion de wordpress a la hora actual
	$addgmt = strtotime("+".get_option('gmt_offset')." hours");
	$now = date("Y/m/d H:i:s",$addgmt);
	//si la hora actual esta entre la de inicio y fin de la entrevista mostramos en directo
	if($now>$start && $now<$end) { return true; } else { return false; }
}


//obtener la fecha del inicio de la entrevista para usar en vez de the_time()
function get_interview_date($vars,$in_UTC = false){
	$timestamp = strtotime(get_post_meta(get_the_ID(),'starts_at',true));
	$timestamp = ($in_UTC) ? $timestamp + get_option('gmt_offset') * (-1) * 3600 : $timestamp;
	return date_i18n($vars, $timestamp);
}

//obtener la fecha del fin de la entrevista OJO 2015-03 En la nueva dilmot no hay finalización
function get_interview_date_end($vars, $in_UTC = false){
	$timestamp = strtotime(get_post_meta(get_the_ID(),'starts_at',true));
	$timestamp = ($in_UTC) ? $timestamp + get_option('gmt_offset') * (-1) * 3600 : $timestamp;
	return date_i18n($vars, $timestamp);
}


//obtener la hora del final de la entrevista
function get_interview_end_time($postid){
	$event_time = get_post_meta($postid, 'interview_datetime', true);
	$event_length = get_post_meta($postid, 'interview_duration', true);
	$timestamp = strtotime("$event_time");
	$etime = strtotime("+$event_length minutes", $timestamp);
	$next_time = date('H:i', $etime);
	return $next_time;
}


//devuelve el autor de la entrevista
function get_author(){ $url = explode("/",get_permalink()); return $autor = $url[3];}
function get_interview_link() { the_permalink(); }

//filtro para anadir publish/future y live en la classe de los post
add_filter('post_class', 'add_live_interview');
function add_live_interview($post_class) {
	$post_class[count($post_class)+1] = get_post_status(get_the_ID()); 
	if(is_live_interview()){ 
		$post_class[count($post_class)+2] = "live";
	}
	return $post_class;
}



//saber si la conferencia ya ha pasado
function conferencia_pasada($postid){
	$date = get_post_meta($postid, 'confe_date', true);
	//sumamos un dia a la fecha actual para que no se puedan inscribir el mismo dia
	$now = date("d/m/Y",strtotime("+1 day"));
	if($date<$now){ return true; } else { return false; }
}


//obtenemos la imagen del post
function get_post_image($postid, $size='thumbnail') {
	$args = array(
	'post_type' => 'attachment',
	'orderby' => 'menu_order',
	'order' => 'ASC',
	'numberposts' => -1,
	'post_mime_type' => 'image',
	'post_status' => null,
	'post_parent' => $postid
	);
	
	$attachments = get_posts($args);
	if ($attachments) {
		$num_imatge=0;
		foreach ($attachments as $attachment) {
			$imatge = wp_get_attachment_image_src($attachment->ID, $size);
			$url[$num_imatge] = $imatge[0];
			$alt[$num_imatge] = $attachment->post_title;
			$num_imatge++;
		}
	}
	return $url[0];
}


function get_author_image($postid,$size='thumbnail',$slider=false){
	if($slider==true){
		if(get_post_meta($postid,'author_slider_image',true)){
			return get_post_meta($postid,'author_slider_image',true);
		} else {
			
			if(has_post_thumbnail($postid)){
				$image_id = get_post_thumbnail_id($postid);
				$image_url = wp_get_attachment_image_src($image_id,$size, true);
				return $image_url[0];
			} else {
				if(get_post_meta($postid,'author_image',true)) {
				return substr(get_option('base_url_cdn'),0,-1).get_option('base_dir_img')."/".get_post_meta($postid,'author_image',true);
				} else { return get_template_directory_uri().'/img/missing-avatar-medium.png';} 
			}
	
		}
	}
	if(has_post_thumbnail($postid)){
		$image_id = get_post_thumbnail_id($postid);
		$image_url = wp_get_attachment_image_src($image_id,$size, true);
		return $image_url[0];
	} else {
		if(get_post_meta($postid,'author_image',true)) {
				return substr(get_option('base_url_cdn'),0,-1).get_option('base_dir_img')."/".get_post_meta($postid,'author_image',true);
				} else { return get_template_directory_uri().'/img/missing-avatar-medium.png';} 
	} 
}

/**
* Same as 'get_author_image', but returning 
* an array which includes the URL on [0] and 
* the orientation string on [1].
**/
function get_author_image_and_orientation($postid,$size='thumbnail'){
	global $aPlugin,$account_url;
	if(has_post_thumbnail($postid)){
		$image_id = get_post_thumbnail_id($postid);
		$image_params = wp_get_attachment_image_src($image_id,$size, true);
		$retval = array(0 => $image_params[0], 1 => get_image_orientation($image_params[1], $image_params[2]));
	} else { 
		$stream_image_url = $aPlugin->get_single_custom_value('image');
		list($width, $height) = getimagesize($stream_image_url);
		$retval = array(0 => $stream_image_url, 1=> get_image_orientation($width, $height));
	} 
	return $retval;
}



/**
* Given the sizes of an image,
* detect its orientation (portrait/landscape)
* @return "portrait-img", "landscape-img"
* or "square-img"
**/
function get_image_orientation($width, $height) {
	if (!isset($width) || !is_numeric($width) || !isset($height) || !is_numeric($height))
		return 'size-not-numeric';
	
	if ($width == $height)
		return 'square-img';
	else if ($width > $height)
		return 'landscape-img';
	else
		return 'portrait-img';
}


/**
* Truncate a text, showing 
* ellipsis (...). Default length
* is 150 chars.
*
**/
function truncate_text($text, $limit=150) {
	$text = strip_tags($text);
	if (strlen($text) > $limit){
		$text = substr($text, 0, strrpos(substr($text, 0, $limit), ' ')) . '...';
	}
    return $text;
}






add_filter('rewrite_rules_array','wp_insertMyRewriteRules');
add_filter('query_vars','wp_insertMyRewriteQueryVars');
add_filter('init','flushRules');  

// Remember to flush_rules() when adding rules
function flushRules(){
    global $wp_rewrite;
    $wp_rewrite->flush_rules();
}

// Adding a new rule
function wp_insertMyRewriteRules($rules)
{
    $newrules = array();
    //$newrules['([^/]*)/([^/]*)/?'] = '/?question=$matches[2]';
    //$newrules['^(\d*)$/(\d*)$'] = '$matches[1]/?question=$matches[2]';
    //$newrules['(question)/(\d*)$'] = 'index.php?pagename=como-participar&designer=$matches[1]';
    return $newrules + $rules;
}

// Adding the bid var so that WP recognizes it
function wp_insertMyRewriteQueryVars($vars)
{
    array_push($vars, 'question');
    return $vars;
}


// include('functions/theme-options.php');
// include('functions/theme-custom-fields.php');
// include('functions/theme-widgets.php');

// Remove the text "Protected" that wp prepends to the title

function the_title_trim($title)
{
    $pattern[0] = '/'.__('Protected:','dilmot').'/';
    $pattern[1] = '/'.__('Private:','dilmot').'/';
    $replacement[0] = ''; // Enter some text to put in place of Protected:
    $replacement[1] = ''; // Enter some text to put in place of Private:
    
    return preg_replace($pattern, $replacement, $title);
}
add_filter('the_title', 'the_title_trim');



// functions to allow showing in the slider posts that represent categories

$is_slider_without_interviews = get_option('section_slider');
$category_for_sections = get_option('cat_section');

function slider_cat($is_slider_without_interviews) {
	global $is_slider_without_interviews;
	global $category_for_sections;
			if ($is_slider_without_interviews == "true") {
				$slider_cat = $category_for_sections.",-".get_option('cat_interviews'); //selects the category for secciones and takes out interviews
			} else {
				$slider_cat = get_option('cat_interviews');
			}
		return $slider_cat;
		}

function slider_title_link($is_slider_without_interviews) {
	global $is_slider_without_interviews;
	global $category_for_sections;
		if ($is_slider_without_interviews == "true") {
			$category = get_the_category(); 
			$slider_title_link = "?cat=".$category[0]->cat_ID; //gets the first category id, how do we know this will not be the one we want and not secciones? IDEA: make secciones parent of faculties. if there are problems we would have to loop and see if the category is parent, then search of another one
			//$slider_title_link = get_category_link(32);
		} else {
			$slider_title_link = the_permalink();
		}
	return $slider_title_link;
	}

//Calculate Open Graph data using Open Graph Plugin

function my_og_description( $type ) {
    $postid = get_the_ID();
    $content = get_post_meta($postid,'author_desc',true);
   
    return $content;
}

function my_og_image( $type ) {
    $postid = get_the_ID();
    $content = get_author_image($postid, 'post-thumbnail');
   
    return $content;
}

add_filter( 'opengraph_description', 'my_og_description' );
add_filter( 'opengraph_image', 'my_og_image' );


// Foundation 5

function responsive_scripts_basic()  
{  
    //register scripts for our theme  
    wp_deregister_script('jquery');

    wp_register_script('foundation-mod',  get_template_directory_uri() . '/js/foundation/js/vendor/modernizr.js',    
true );  
     wp_register_script('foundation-topbar', get_template_directory_uri() . '/javascripts/foundation/foundation.topbar.js',
 true );  
    wp_register_script('foundation-main', get_template_directory_uri() . '/js/foundation/js/foundation.min.js', 
true );  
    wp_register_script('zepto', get_template_directory_uri() . '/javascripts/vendor/zepto.js', 

true );
     wp_register_script('jquery','http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js', 
 true );


    //enqueue scripts for our theme
    wp_enqueue_script( 'foundation-mod' );   
    wp_enqueue_script( 'foundation-main' );  
    //wp_enqueue_script( 'zepto');
    wp_enqueue_script( 'jquery');
}  
//add_action( 'wp_enqueue_scripts', 'responsive_scripts_basic' ); 




?>