<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<?php
require_once(dirname(__FILE__) .'/../../../wp-load.php');
$wp->init();
$wp->parse_request();
$wp->register_globals();

/**
* CSS stylesheet to use for this widget, relative from the child theme 
* (no starting '/').
* If none is provided, dilmotapp/widget_res/default-style.css 
* will be used instead. You may want to @import() this default style in your CSS.
*
**/
if (isset($path_to_css) && !empty($path_to_css)) {
	$path_to_css = get_bloginfo_with_cdn('stylesheet_directory') . '/' . $path_to_css;
} else {
	$path_to_css = get_bloginfo_with_cdn('template_directory') . '/widget_res/default-style.css';
}

/* in case testing locally */
// if (isset($path_to_css) && !empty($path_to_css)) {
// 	$path_to_css = get_bloginfo('stylesheet_directory') . '/' . $path_to_css;
// } else {
// 	$path_to_css = get_bloginfo('template_directory') . '/widget_res/default-style.css';
// }

/**
*	Widget orientation and description length:
*	$orientation: values 'landscape' or 'portrait' (default)
*	
**/
if (isset($orientation) && strcmp($orientation, 'landscape') == 0) {
	$orientation = 'landscape';
	if (!isset($descr_len) || !is_numeric($descr_len)) {
		$descr_len = 115;
	}
} else {
	$orientation = 'portrait';
	if (!isset($descr_len) || !is_numeric($descr_len)) {
		$descr_len = 150;
	}
}

/** 
*	Format of the date text, $date_format: 
*	'hide': do not print the date (space constraint)
*	'long': use full month name: Tuesday 17th March (default)
*	'short': use a number for the month, zero-padded: Martes 17/03 or Tuesday 03/17 depending on locale (TODO)
*
**/
if (!isset($date_format) || empty($date_format) || 
	(strcmp($date_format, 'hide') != 0 &&
	strcmp($date_format, 'short') != 0 &&
	strcmp($date_format, 'long') != 0 )) {
	$date_format = 'long';
}

/**
* Widget title
*
**/
if (!isset($widget_title) || empty($widget_title)) {
	$widget_title = 'Encuentros digitales';
}


/**
* Number of interviews to show
* For N==1, better disable the carousel using the JS options
**/
if (!isset($max_num_interviews) || !is_numeric($max_num_interviews)) {
	$max_num_interviews = -1; // as many as there are
}


// Ask for future interviews
query_posts('meta_key=starts_at&meta_compare=>=&orderby=meta_value&order=ASC&meta_value='.get_current_wp_date('Y/m/d H:i:s').'&cat=3');
if(!have_posts()) {
	// Ask for past interviews
	query_posts('posts_per_page=3&meta_key=starts_at&meta_compare=<=&orderby=meta_value&order=DESC&meta_value='.get_current_wp_date('Y/m/d H:i:s').'&cat=3'); 
	if (!have_posts()) {
		// No content or content not available? Let's load some default info about Dilmot
	}
}
?>
<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<link rel="dns-prefetch" href="//code.jquery.com">
		<link rel="dns-prefetch" href="//dilmotapp.com">
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
		<title><?php echo $widget_title; ?></title>
		<link rel="stylesheet" type="text/css" href="<?php echo get_bloginfo_with_cdn('template_directory'); ?>/widget_res/normalize.css" />
		<link rel="stylesheet" type="text/css" href="<?php echo get_bloginfo_with_cdn('template_directory'); ?>/widget_res/layout.css" />
		
		<link rel="stylesheet" type="text/css" href="<?php echo $path_to_css; ?>" />

		<!-- /* start orbit */ -->

		<!-- Attach our CSS -->
	  	<link rel="stylesheet" href="<?php echo get_bloginfo_with_cdn('template_directory'); ?>/orbit-all/orbit-1.2.3.min.css">
	  	
		<!-- Attach necessary JS -->
		<script type="text/javascript" src="<?php echo get_bloginfo_with_cdn('template_directory'); ?>/orbit-all/jquery-1.5.1.min.js"></script>
		<script type="text/javascript" src="<?php echo get_bloginfo_with_cdn('template_directory'); ?>/orbit-all/jquery.orbit-1.2.3.min.js"></script>	
		
			<!--[if IE]>
			     <style type="text/css">
			         .timer { display: none !important; }
			         div.caption { background:transparent; filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#99000000,endColorstr=#99000000);zoom: 1; }
			    </style>
			<![endif]-->
		
		<!-- Run the plugin -->
		<script type="text/javascript">
			$(window).load(function() {
				$('#featured').orbit();
			});
		</script>


		<!-- /* end orbit */ -->
	</head>
	<body class="no-js <?php echo $orientation; ?>">
<div class="container">
		<h2 class="widget-title">
			<span>
			<a target="_blank" href="<?php bloginfo('url'); ?>"><?php _e( $widget_title ,"dilmot"); ?></a>
			</span>
		</h2>
		<div id="featured">
			<?php if(have_posts()):	?>
				
					<?
					$j = 0;
					// take the next one
					while (have_posts()):
					the_post(); 
					// We only want to show $max_num_interviews, if it is set
					if ($max_num_interviews > 0 && $j == $max_num_interviews) {
						break;
					}			 
					?>

					<div class="content">
					<? 
					$starts_at = $aPlugin->get_single_custom_value('starts_at');
					$stream_status = $aPlugin->get_single_custom_value('stream_status');
					?>
						<h3><a target="_blank" href="<?php echo get_permalink($post->ID) ?>" rel="bookmark"><?php echo get_the_title($post->ID); ?></a></h3>
						<?php if(strcmp($date_format, 'hide') != 0): ?>
						<div class="date<?php if(is_live_interview()){ ?> datelive<?php } ?>">
							<?php if($stream_status == "active"): ?>
								<span class="live"><?php _e("En directo: ¡Participa!","dilmot"); ?></span>
							<?php elseif(dilmot_format_date($starts_at,"Ymd") == date("Ymd")): ?>
								<span class="day today"><?php _e("Hoy a las","dilmot"); ?> <?php print dilmot_format_date($starts_at,"H:i"); ?>h</span>
							<?php else: ?>
								<?php if (strcmp($date_format, 'short') == 0): ?>
								<span class="day"><?php print dilmot_format_date($starts_at,"l").' '.dilmot_format_date($starts_at,"j"); ?></span><span class="month">/<?php print dilmot_format_date($starts_at,"m"); ?></span>															<?php else: ?>
								<span class="day"><?php print dilmot_format_date($starts_at,"l").' '.dilmot_format_date($starts_at,"j"); ?></span><span class="month"> <?php print dilmot_format_date($starts_at,"F"); ?></span>
								<?php endif; ?>
								<?php if (is_future_interview()): ?>
									<span class="time"><?php print dilmot_format_date($starts_at,"H:i"); ?>h</span>
								<?php endif; ?>
							<?php endif; ?>
						</div>
						<?php endif; ?>
						<div class="content-carousel cf">
							<?php $widget_img_params = get_widget_image_and_orientation($post->ID); ?>
							<div class="img-container <?php echo $widget_img_params[1]; ?>">
								<a target="_blank" href="<?php get_interview_link(); ?>">
									<img src="<?php echo $widget_img_params[0]; ?>" alt="<?php echo get_the_title(); ?>" />
								</a>
							</div>
							<p class="description">
						<?
	    				global $aPlugin, $account, $account_url;
        				$stream_description = $aPlugin->get_single_custom_value('stream_description');
       					echo $stream_description;
						?>
								<?php echo truncate_text($stream_description, $descr_len); ?>
							</p>
						</div>
						<div class="links">
							<?php if($stream_status != "closed"): ?>
								<div class="icon ask">
									<a target="_blank" href="<?php get_interview_link(); ?>"><?php _e("Hazle tu pregunta","dilmot"); ?></a>
								</div>
							<?php else: ?>
								<div class="icon read">
									<a target="_blank" href="<?php get_interview_link(); ?>"><?php _e("Lee la entrevista","dilmot"); ?></a>
								</div>
							<?php endif;  ?>
						</div>
					</div>
					<?php 
						// Stop the loop when there is an interview right now
						if(is_live_interview())
							break;
							
						$j++;					
					endwhile; ?>
					

				<?php else: // No content! Show something   ?>
					<p>No content!</p>
				<?php endif; ?>
		</div>	


	</body>
</html>

<?php 

	
?>